> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new scrobble



## OpenAPI

````yaml /api-reference/openapi.json post /app.rocksky.scrobble.createScrobble
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.scrobble.createScrobble:
    post:
      tags:
        - app.rocksky.scrobble
      summary: Create a new scrobble
      operationId: app.rocksky.scrobble.createScrobble
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
                - artist
              properties:
                title:
                  type: string
                  description: The title of the track being scrobbled
                artist:
                  type: string
                  description: The artist of the track being scrobbled
                album:
                  type: string
                  description: The album of the track being scrobbled
                duration:
                  type: integer
                mbId:
                  type: string
                  description: The MusicBrainz ID of the track, if available
                isrc:
                  type: string
                  description: >-
                    The International Standard Recording Code (ISRC) of the
                    track, if available
                albumArt:
                  type: string
                  description: The URL of the album art for the track
                  format: uri
                trackNumber:
                  type: integer
                releaseDate:
                  type: string
                  description: The release date of the track, formatted as YYYY-MM-DD
                year:
                  type: integer
                discNumber:
                  type: integer
                lyrics:
                  type: string
                  description: The lyrics of the track, if available
                composer:
                  type: string
                  description: The composer of the track, if available
                copyrightMessage:
                  type: string
                  description: The copyright message for the track, if available
                label:
                  type: string
                  description: The record label of the track, if available
                artistPicture:
                  type: string
                  description: The URL of the artist's picture, if available
                  format: uri
                spotifyLink:
                  type: string
                  description: The Spotify link for the track, if available
                  format: uri
                lastfmLink:
                  type: string
                  description: The Last.fm link for the track, if available
                  format: uri
                tidalLink:
                  type: string
                  description: The Tidal link for the track, if available
                  format: uri
                appleMusicLink:
                  type: string
                  description: The Apple Music link for the track, if available
                  format: uri
                youtubeLink:
                  type: string
                  description: The Youtube link for the track, if available
                  format: uri
                deezerLink:
                  type: string
                  description: The Deezer link for the track, if available
                  format: uri
                timestamp:
                  type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app.rocksky.scrobble.defs.scrobbleViewBasic
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.scrobble.defs.scrobbleViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the scrobble.
        user:
          type: string
          description: The handle of the user who created the scrobble.
        userDisplayName:
          type: string
          description: The display name of the user who created the scrobble.
        userAvatar:
          type: string
          description: The avatar URL of the user who created the scrobble.
          format: uri
        title:
          type: string
          description: The title of the scrobble.
        artist:
          type: string
          description: The artist of the song.
        artistUri:
          type: string
          description: The URI of the artist.
          format: at-uri
        album:
          type: string
          description: The album of the song.
        albumUri:
          type: string
          description: The URI of the album.
          format: at-uri
        cover:
          type: string
          description: The album art URL of the song.
          format: uri
        date:
          type: string
          description: The timestamp when the scrobble was created.
          format: date-time
        uri:
          type: string
          description: The URI of the scrobble.
          format: uri
        sha256:
          type: string
          description: The SHA256 hash of the scrobble data.
        liked:
          type: boolean
        likesCount:
          type: integer
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````